﻿@*<fieldset style="border-bottom 1px;border-left:0px;border-right:0px;border-top:0px;">
*@
<center>
    <table>
        <tr>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Order No";
                    label.ControlStyle.Font.Size = System.Web.UI.WebControls.FontUnit.Small;
                    label.Width = 120;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_ORDER_NO";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 150;
                }).GetHtml()
            </td>
            <td style="padding: 5px;">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Part Receving Plan";
                    label.ControlStyle.Font.Size = System.Web.UI.WebControls.FontUnit.Small;
                    label.Width = 120;
                }).GetHtml()
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                    settings =>
                    {
                        settings.Name = "I_PART_RECEIVING_PLAN";
                        settings.Width = 150;
                        settings.Properties.DropDownWidth = 200;
                        settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                        settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                        settings.Properties.TextFormatString = "{0}";
                        settings.Properties.ValueType = typeof(string);
                    }).BindList(ViewData["RECEIVING_PLAN"]).GetHtml()
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Release Date";
                    label.ControlStyle.Font.Size = System.Web.UI.WebControls.FontUnit.Small;
                    label.Width = 120;
                }).GetHtml()
            </td>
            <td style="padding: 5px;">
                @Html.DevExpress().DateEdit(
              settings =>
              {
                  settings.Name = "I_REALESE_DT";
                  settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                  settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                  settings.Properties.DisplayFormatInEditMode = true;
                  settings.Properties.EditFormatString = "dd.MM.yyyy"; //"dd.MM.yyyy";
                  settings.Properties.DisplayFormatString = "dd.MM.yyyy";//"dd.MM.yyyy";
                  settings.ReadOnly = false;
                  settings.Properties.UseMaskBehavior = true;
                  settings.Properties.EditFormat = EditFormat.Custom;
                  settings.Properties.CalendarProperties.EnableYearNavigation = true;
                  settings.Width = 150;
                  //settings.Properties.ClientSideEvents.DateChanged = "I_ETA_OnChanged";
              }).GetHtml()
            </td>
        </tr>
        <tr style="border-bottom: 1px; border-bottom-style: solid;">
            <td colspan="6">
            </td>
            <td style="padding: 5px;">
                @Html.DevExpress().Button(Button =>
                    {
                        Button.Name = "cmdSearch";
                        Button.Text = "Search";
                        Button.Width = 100;
                        Button.UseSubmitBehavior = true;
                        //Button.ClientSideEvents.Click = "OnClear";
                    }).GetHtml()
            </td>
            <td style="padding: 5px; border-bottom: 1px;">
                @Html.DevExpress().Button(Button =>
                    {
                        Button.Name = "cmdClear";
                        Button.Text = "Clear";
                        Button.Width = 100;
                        Button.UseSubmitBehavior = true;
                        //Button.ClientSideEvents.Click = "OnClear";
                    }).GetHtml()
            </td>
        </tr>
        <tr>
            <td style="padding: 5px;">
                @Html.DevExpress().Button(Button =>
                    {
                        Button.Name = "cmdDownload";
                        Button.Text = "Download";
                        Button.Width = 100;
                        Button.UseSubmitBehavior = true;
                        //Button.ClientSideEvents.Click = "OnClear";
                    }).GetHtml()
            </td>
            <td colspan="5">
            </td>
            <td style="padding: 5px;">
                @*for testing case label*@ @* @Html.DevExpress().Button(Button =>
                    {
                        Button.Name = "cmdPrint";
                        Button.Text = "Print";
                        Button.Width = 100;
                        Button.UseSubmitBehavior = true;
                        //Button.ClientSideEvents.Click = "OnClear";
                    }).GetHtml()*@
                @Html.DevExpress().Button(Button =>
                    {
                        Button.Name = "cmdRePrintCaseLabel";
                        Button.Text = "RePrintCaseLabel";
                        Button.Width = 100;
                        Button.UseSubmitBehavior = true;
                        Button.ClientSideEvents.Click = "RePrintCaseLabelShow";
                    }).GetHtml()
            </td>
            <td style="padding: 5px;">
                @Html.DevExpress().Button(Button =>
                    {
                        Button.Name = "cmdReprint";
                        Button.Text = "Re-Print";
                        Button.Width = 100;
                        Button.UseSubmitBehavior = true;
                        Button.ClientSideEvents.Click = "OnReprintPopUpClick";
                    }).GetHtml()
            </td>
        </tr>
    </table>
</center>
